Release new Bouncer into production

VERIFIED FIXED

Status

VERIFIED FIXED
5 years ago
2 years ago

People

(Reporter: brandon, Assigned: cturra)

Tracking

Details

(Reporter)

Description

5 years ago
We need to release a new Bouncer into production. There are a few blockers; please hold for clearance to release.
(Reporter)

Updated

5 years ago
Depends on: 916181
(Assignee)

Updated

5 years ago
OS: Mac OS X → All
Hardware: x86 → All
Brandon, why do you think bug 916181 blocks this? We can't actually implement that until alias support in the API is in production...
Flags: needinfo?(bsavage)
(Reporter)

Comment 2

5 years ago
Probably shouldn't block this. In fact it should be the other way around.
Flags: needinfo?(bsavage)
(Reporter)

Updated

5 years ago
Blocks: 916181
No longer depends on: 916181
(Assignee)

Comment 3

5 years ago
a couple database changes were required before we ran the push...

mysql> CREATE TABLE `mirror_aliases` (`id` integer AUTO_INCREMENT NOT NULL PRIMARY KEY, `alias` varchar(255) NOT NULL UNIQUE, `related_product` varchar(255) NOT NULL);
Query OK, 0 rows affected (0.07 sec)

mysql> ALTER TABLE mirror_aliases ADD CONSTRAINT uniq_alias UNIQUE (alias);
Query OK, 0 rows affected (0.07 sec)
Records: 0  Duplicates: 0  Warnings: 0

mysql> INSERT INTO mirror_aliases (alias, related_product) VALUES ('firefox-latest', 'Firefox-25.0');
Query OK, 1 row affected (0.00 sec)

mysql> select * from mirror_aliases\G
*************************** 1. row ***************************
             id: 1
          alias: firefox-latest
related_product: Firefox-25.0
1 row in set (0.00 sec)


then we deployed the updated code to the web heads...

[root@bounceradm.private.phx1 download.mozilla.org]# bash -x update
+ CODE_DIR=/data/bouncer/src/download.mozilla.org/tuxedo
+ VENDOR_DIR=/data/bouncer/src/download.mozilla.org/tuxedo/vendor
+ PROD_DETAILS_ONLY=0
+ getopts p OPTION
+ '[' 0 -eq 0 ']'
+ update_code
+ echo -e 'Updating code...'
Updating code...
+ cd /data/bouncer/src/download.mozilla.org/tuxedo
+ git fetch origin -q
+ checkretval
+ retval=0
+ [[ 0 -gt 0 ]]
+ git checkout -f origin/master -q
+ checkretval
+ retval=0
+ [[ 0 -gt 0 ]]
+ git submodule sync -q
+ checkretval
+ retval=0
+ [[ 0 -gt 0 ]]
+ git submodule update --init --recursive -q
+ checkretval
+ retval=0
+ [[ 0 -gt 0 ]]
+ echo -e 'Updating vendor submodules...'
Updating vendor submodules...
+ cd /data/bouncer/src/download.mozilla.org/tuxedo/vendor
+ git submodule sync -q
+ checkretval
+ retval=0
+ [[ 0 -gt 0 ]]
+ git submodule update --init --recursive -q
+ checkretval
+ retval=0
+ [[ 0 -gt 0 ]]
+ echo -e 'Cleaning gitignore and pyc files...'
Cleaning gitignore and pyc files...
+ cd /data/bouncer/src/download.mozilla.org/tuxedo
+ find . -type f -name .gitignore -or -name '*.pyc' -delete
+ checkretval
+ retval=0
+ [[ 0 -gt 0 ]]
+ echo -e 'Storing revision information...'
Storing revision information...
+ cd /data/bouncer/src/download.mozilla.org/tuxedo
+ git rev-parse HEAD
+ generate_revision_info
Updating product_details...
Grabbing list of JSON files from the server from http://svn.mozilla.org/libs/product-details/json/
DEBUG:prod_details:Grabbing list of JSON files from the server from http://svn.mozilla.org/libs/product-details/json/
Found last update timestamp: Tue, 12 Nov 2013 19:18:55 GMT
DEBUG:prod_details:Found last update timestamp: Tue, 12 Nov 2013 19:18:55 GMT
Product Details were up to date.
INFO:prod_details:Product Details were up to date.
Grabbing list of JSON files from the server from http://svn.mozilla.org/libs/product-details/json/regions/
DEBUG:prod_details:Grabbing list of JSON files from the server from http://svn.mozilla.org/libs/product-details/json/regions/
Found last update timestamp: Mon, 02 May 2011 22:54:49 GMT
DEBUG:prod_details:Found last update timestamp: Mon, 02 May 2011 22:54:49 GMT
Product Details were up to date.
INFO:prod_details:Product Details were up to date.
Product Details update run complete.
DEBUG:prod_details:Product Details update run complete.
Deploying code...
[2013-11-12 12:21:17] Running rsync_project
[2013-11-12 12:21:17] [localhost] running: /usr/bin/rsync -aq --include '.gitkeep' --exclude '.git*' --exclude '.hg*' --exclude '.svn*' --exclude 'CVS' --exclude '.bzr*' --delete /data/bouncer/src/download.mozilla.org/ /data/bouncer/www/download.mozilla.org/
[2013-11-12 12:21:18] [localhost] finished: /usr/bin/rsync -aq --include '.gitkeep' --exclude '.git*' --exclude '.hg*' --exclude '.svn*' --exclude 'CVS' --exclude '.bzr*' --delete /data/bouncer/src/download.mozilla.org/ /data/bouncer/www/download.mozilla.org/ (0.394s)
[2013-11-12 12:21:18] Finished rsync_project (0.394s)
[2013-11-12 12:21:18] Running commit_www
[2013-11-12 12:21:18] [localhost] running: cd /data/bouncer/www && /usr/bin/git add .; /usr/bin/git commit -a -m 'deploy ['download.mozilla.org']'
[2013-11-12 12:21:18] [localhost] finished: cd /data/bouncer/www && /usr/bin/git add .; /usr/bin/git commit -a -m 'deploy ['download.mozilla.org']' (0.190s)
[localhost] out: [master b4aa587] deploy [download.mozilla.org]
[localhost] out: 37 files changed, 628 insertions(+), 209 deletions(-)
[localhost] out: create mode 100644 download.mozilla.org/tuxedo/apps/api/templates/api/docs/create_update_alias.html
[localhost] out: delete mode 100644 download.mozilla.org/tuxedo/apps/geoip/tests.py
[localhost] out: create mode 100644 download.mozilla.org/tuxedo/apps/mirror/migrations/0004_auto__add_productalias__add_field_locationmirrormap_healthy__add_field.py
[localhost] out: delete mode 100644 download.mozilla.org/tuxedo/apps/mirror/tests.py
[localhost] out: create mode 100644 download.mozilla.org/tuxedo/bouncer/php/lib/cache_interface.php
[2013-11-12 12:21:18] Finished commit_www (0.191s)
Assignee: server-ops-webops → cturra
Status: NEW → RESOLVED
Last Resolved: 5 years ago
Resolution: --- → FIXED
QA verified, nicely done all.

- production facing bouncer-tests pass;  http://qa-selenium.mv.mozilla.com:8080/job/bouncer.prod/14224/
- manual spot checking of the firefox-latest alias is correct http://download.mozilla.org/?product=firefox-latest&print=true
- mozilla.org returns the correct download for firefox-latest and firefox-beta
Status: RESOLVED → VERIFIED
Product: Infrastructure & Operations → Infrastructure & Operations Graveyard
You need to log in before you can comment on or make changes to this bug.